Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1866515 - ForemanVirtWhoConfigure::AuthSourceHiddenWithAuthentication is displayed on auth sources page
Summary: ForemanVirtWhoConfigure::AuthSourceHiddenWithAuthentication is displayed on a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Authentication
Version: 6.8.0
Hardware: All
OS: All
low
low
Target Milestone: 6.8.0
Assignee: Tomer Brisker
QA Contact: Akhil Jha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-05 18:33 UTC by anerurka
Modified: 2020-10-27 13:06 UTC (History)
3 users (show)

Fixed In Version: foreman-2.1.2.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:05:07 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
missing label + shorter box (15.72 KB, image/png)
2020-08-07 16:22 UTC, anerurka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30643 0 Low Closed ForemanVirtWhoConfigure::AuthSourceHiddenWithAuthentication is displayed on auth sources page 2020-10-28 17:45:47 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:06:12 UTC

Description anerurka 2020-08-05 18:33:07 UTC
Description of problem:

label for auth_source_type = ForemanVirtWhoConfigure::AuthSourceHiddenWithAuthentication is missing, along with a shorter box 

Version-Release number of selected component (if applicable):
Red Hat Satellite 6.8 [snap 09]

How reproducible:
Always

Steps to Reproduce:
1. Administer -->  Authentication sources

Actual results:

- Box, which redirects to auth_source_type = ForemanVirtWhoConfigure::AuthSourceHiddenWithAuthentication is missing

- Box/Button is shorter

Expected results:

- Appropriate Label and Box size
- Authentication sources , should be in capital letter. "S"

Comment 1 Brad Buckingham 2020-08-06 14:18:57 UTC
Can you include a screenshot?  Thanks!

Comment 2 anerurka 2020-08-07 16:20:52 UTC
(In reply to Brad Buckingham from comment #1)
> Can you include a screenshot?  Thanks!

Ahh, my bad, I captured the screen-shot but missed to upload. 

PFA screen shot, and let me know if any more info is required.

- Ameya Nerurkar

Comment 3 anerurka 2020-08-07 16:22:01 UTC
Created attachment 1710828 [details]
missing label + shorter box

Comment 4 Tomer Brisker 2020-08-13 09:40:10 UTC
Marek, I'm guessing from the name that this auth source should be hidden from the list completely, rather than labeled properly. Can you confirm please?

Comment 5 Tomer Brisker 2020-08-13 09:44:14 UTC
Created redmine issue https://projects.theforeman.org/issues/30643 from this bug

Comment 6 Marek Hulan 2020-08-14 08:20:56 UTC
That is correct, not only the auth source shouldn't be visible, but no users associated to it. These are considered service users.

Comment 7 Bryan Kearney 2020-08-17 08:04:01 UTC
Upstream bug assigned to tbrisker

Comment 8 Bryan Kearney 2020-08-17 08:04:03 UTC
Upstream bug assigned to tbrisker

Comment 10 Akhil Jha 2020-09-02 06:00:36 UTC
Verified.

Version Tested:  Satellite-6.8.0 Snap 13.0

Steps followed:
1. Administer -> Authentication sources

Observation:
The auth_source_type = ForemanVirtWhoConfigure::AuthSourceHiddenWithAuthentication is not visible.
As for capital 's' in Authentication sources, I think it's a trivial thing.

Comment 13 errata-xmlrpc 2020-10-27 13:05:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.